BareMetal API, REST: Vrf.Get
Returns the specific VRF resource.
To get the list of available VRFs, make a List request.
HTTP request
GET https://baremetal.api.yandexcloud.kz/baremetal/v1alpha/vrfs/{vrfId}
Path parameters
|
Field |
Description |
|
vrfId |
string Required field. ID of the VRF to return. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"id": "string",
"cloudId": "string",
"folderId": "string",
"name": "string",
"description": "string",
"status": "string",
"staticRoutes": [
{
"destinationCidr": "string",
"nextHopIpAddress": "string",
"redistributionType": "string"
}
],
"createdAt": "string",
"labels": "object"
}
|
Field |
Description |
|
id |
string ID of the VRF. |
|
cloudId |
string ID of the cloud that the private subnet belongs to. |
|
folderId |
string ID of the folder that the private subnet belongs to. |
|
name |
string Name of the VRF. |
|
description |
string Optional description of the VRF. |
|
status |
enum (Status) Status of the VRF.
|
|
staticRoutes[] |
Static routes. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
labels |
object (map<string, string>) Resource labels as |
StaticRoute
|
Field |
Description |
|
destinationCidr |
string Destination network CIDR block. |
|
nextHopIpAddress |
string Next hop host IP address. |
|
redistributionType |
enum (RedistributionType) Redistribution type.
|